#include "Dezibot.h"

Dezibot dezibot;

void setup() {
  dezibot.lightDetection.begin();
  //dezibot.motion.detection.end();
  // put your setup code here, to run once:
  Serial.begin(115200);
  // Wait for Serial to init
  while (!Serial) {
    ;;
  }
  delay(1000);
  // Test if Part under Test is working correctly
  if (result = working) {
    Serial.printf("Part X seems to be working (detected value: %d). Starting measurements...\r\n", result);
  } else {
    Serial.printf("Part X does not seem to be working correctly (detected value: %d).\n",result);
    exit(0);
  }
  Serial.println("Killing Serial peripheral now to not influence anything. Goodbye!");
  delay(1000);
  Serial.flush();
  Serial.end();
  delay(1000);
}

void loop() {
  // put your main code here, to run repeatedly:
  delay(10);
}